package com.mortals.xhx.module.certificate.model;

import com.mortals.xhx.module.certificate.model.vo.CertificateCatalogVo;
/**
 * 证照目录实体对象
 *
 * @author zxfei
 * @date 2023-05-09
 */

public class CertificateCatalogEntity extends CertificateCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 目录编号
     */
    private String catalogCode;
    /**
     * 持有者类型，1：自然人；2：法人；3：自然人，法人
     */
    private Integer holderType;
    /**
     * 所属行业
     */
    private Long industryId;
    /**
     * 所属分类
     */
    private Long classifyId;
    /**
     * 横向尺寸(单位mm)
     */
    private Integer transverse;
    /**
     * 纵向尺寸(单位mm)
     */
    private Integer portrait;
    /**
     * 是否需要年检，0：否1：是
     */
    private Integer inspect;
    /**
     * 证照模板文件名称
     */
    private String templateName;
    /**
     * 证照模板文件地址
     */
    private String templateUrl;
    /**
     * 证照模板表单内容
     */
    private String formContent;
    /**
     * 证照示例图地址
     */
    private String exampleUrl;
    /**
     * 证照状态，0：禁用1：启用
     */
    private Integer status;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;
    /**
     * 打印设备Id
     */
    private Long deviceId;
    /**
     * 批量导入模板文件地址
     */
    private String excelFile;
    /**
     * 是否生成PDF，0：否1：是
     */
    private Integer isPdf;



    public CertificateCatalogEntity(){}
    /**
     * 获取 目录名称
     * @return String
     */
    public String getCatalogName(){
        return catalogName;
    }
    /**
     * 设置 目录名称
     * @param catalogName
     */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
     * 获取 目录编号
     * @return String
     */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
     * 设置 目录编号
     * @param catalogCode
     */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
     * 获取 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @return Integer
     */
    public Integer getHolderType(){
        return holderType;
    }
    /**
     * 设置 持有者类型，1：自然人；2：法人；3：自然人，法人
     * @param holderType
     */
    public void setHolderType(Integer holderType){
        this.holderType = holderType;
    }
    /**
     * 获取 所属行业
     * @return Long
     */
    public Long getIndustryId(){
        return industryId;
    }
    /**
     * 设置 所属行业
     * @param industryId
     */
    public void setIndustryId(Long industryId){
        this.industryId = industryId;
    }
    /**
     * 获取 所属分类
     * @return Long
     */
    public Long getClassifyId(){
        return classifyId;
    }
    /**
     * 设置 所属分类
     * @param classifyId
     */
    public void setClassifyId(Long classifyId){
        this.classifyId = classifyId;
    }
    /**
     * 获取 横向尺寸(单位mm)
     * @return Integer
     */
    public Integer getTransverse(){
        return transverse;
    }
    /**
     * 设置 横向尺寸(单位mm)
     * @param transverse
     */
    public void setTransverse(Integer transverse){
        this.transverse = transverse;
    }
    /**
     * 获取 纵向尺寸(单位mm)
     * @return Integer
     */
    public Integer getPortrait(){
        return portrait;
    }
    /**
     * 设置 纵向尺寸(单位mm)
     * @param portrait
     */
    public void setPortrait(Integer portrait){
        this.portrait = portrait;
    }
    /**
     * 获取 是否需要年检，0：否1：是
     * @return Integer
     */
    public Integer getInspect(){
        return inspect;
    }
    /**
     * 设置 是否需要年检，0：否1：是
     * @param inspect
     */
    public void setInspect(Integer inspect){
        this.inspect = inspect;
    }
    /**
     * 获取 证照模板文件名称
     * @return String
     */
    public String getTemplateName(){
        return templateName;
    }
    /**
     * 设置 证照模板文件名称
     * @param templateName
     */
    public void setTemplateName(String templateName){
        this.templateName = templateName;
    }
    /**
     * 获取 证照模板文件地址
     * @return String
     */
    public String getTemplateUrl(){
        return templateUrl;
    }
    /**
     * 设置 证照模板文件地址
     * @param templateUrl
     */
    public void setTemplateUrl(String templateUrl){
        this.templateUrl = templateUrl;
    }
    /**
     * 获取 证照模板表单内容
     * @return String
     */
    public String getFormContent(){
        return formContent;
    }
    /**
     * 设置 证照模板表单内容
     * @param formContent
     */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }
    /**
     * 获取 证照示例图地址
     * @return String
     */
    public String getExampleUrl(){
        return exampleUrl;
    }
    /**
     * 设置 证照示例图地址
     * @param exampleUrl
     */
    public void setExampleUrl(String exampleUrl){
        this.exampleUrl = exampleUrl;
    }
    /**
     * 获取 证照状态，0：禁用1：启用
     * @return Integer
     */
    public Integer getStatus(){
        return status;
    }
    /**
     * 设置 证照状态，0：禁用1：启用
     * @param status
     */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
     * 获取 打印机名称
     * @return String
     */
    public String getPrinterName(){
        return printerName;
    }
    /**
     * 设置 打印机名称
     * @param printerName
     */
    public void setPrinterName(String printerName){
        this.printerName = printerName;
    }
    /**
     * 获取 打印机网络地址
     * @return String
     */
    public String getPrinterIp(){
        return printerIp;
    }
    /**
     * 设置 打印机网络地址
     * @param printerIp
     */
    public void setPrinterIp(String printerIp){
        this.printerIp = printerIp;
    }
    /**
     * 获取 打印机纸盒
     * @return String
     */
    public String getPaperSource(){
        return paperSource;
    }
    /**
     * 设置 打印机纸盒
     * @param paperSource
     */
    public void setPaperSource(String paperSource){
        this.paperSource = paperSource;
    }
    /**
     * 获取 打印设备Id
     * @return Long
     */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
     * 设置 打印设备Id
     * @param deviceId
     */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
     * 获取 批量导入模板文件地址
     * @return String
     */
    public String getExcelFile(){
        return excelFile;
    }
    /**
     * 设置 批量导入模板文件地址
     * @param excelFile
     */
    public void setExcelFile(String excelFile){
        this.excelFile = excelFile;
    }
    /**
     * 获取 是否生成PDF，0：否1：是
     * @return Integer
     */
    public Integer getIsPdf(){
        return isPdf;
    }
    /**
     * 设置 是否生成PDF，0：否1：是
     * @param isPdf
     */
    public void setIsPdf(Integer isPdf){
        this.isPdf = isPdf;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateCatalogEntity) {
            CertificateCatalogEntity tmp = (CertificateCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",holderType:").append(getHolderType());
        sb.append(",industryId:").append(getIndustryId());
        sb.append(",classifyId:").append(getClassifyId());
        sb.append(",transverse:").append(getTransverse());
        sb.append(",portrait:").append(getPortrait());
        sb.append(",inspect:").append(getInspect());
        sb.append(",templateName:").append(getTemplateName());
        sb.append(",templateUrl:").append(getTemplateUrl());
        sb.append(",formContent:").append(getFormContent());
        sb.append(",exampleUrl:").append(getExampleUrl());
        sb.append(",status:").append(getStatus());
        sb.append(",printerName:").append(getPrinterName());
        sb.append(",printerIp:").append(getPrinterIp());
        sb.append(",paperSource:").append(getPaperSource());
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",excelFile:").append(getExcelFile());
        sb.append(",isPdf:").append(getIsPdf());
        return sb.toString();
    }

    public void initAttrValue(){

        this.catalogName = "";

        this.catalogCode = "";

        this.holderType = 1;

        this.industryId = null;

        this.classifyId = null;

        this.transverse = 0;

        this.portrait = 0;

        this.inspect = 0;

        this.templateName = "";

        this.templateUrl = "";

        this.formContent = "";

        this.exampleUrl = "";

        this.status = 1;

        this.printerName = "";

        this.printerIp = "";

        this.paperSource = "";

        this.deviceId = null;

        this.excelFile = "";

        this.isPdf = 0;
    }
}